# model_server

Serving Vision to Living Things.

## Summary

model_server is a service for on-demand computer vision, adapted specifically to image-based feedback in microscopy 
and other life sciences applications.  It abstracts image data access, persists machine learning models, 
and exposes an extensible API to facilitate low-latency analysis.  

## Installation from source:

1. Install Git:<br>https://git-scm.com/download/win
2. Install Miniforge for environment management:<br>https://github.com/conda-forge/miniforge/releases
3. Under the Start menu, open `Miniforge3 > Miniforge Prompt`
4. In the new terminal, clone the model_server repository:<br>
   `cd %userprofile%`<br>
   `git clone https://almf-staff:KJmFvyPRbpzoVZDqfMzV@git.embl.de/rhodes/model_server.git`
5. Create the environment: `mamba env create --file requirements.yml --name model_server_env`
6. Activate the environment: `mamba activate model_server_env`
7. Add the project source as a Python package: `pip install --no-deps -e .`

## To start the server:
1. From the Miniforge prompt, run `mamba activate model_server_env`
2. Then run `python -m scripts.run_server --port 6221`
3. A browser window should appear, with basic status information.
